#include <stdio.h>

int main()
{
  int n, i, j;
  
  scanf("%d", &n);
  
  if (n<1)
  {
    printf("-1\n");
    return 0;
  }
  
  for(i=1; i<=n; i++)
  {
    if(i==n)
    {
      for(j=1; j<n; j++)
	printf(" ");
      printf("*\n");
    }
    else
    {
      for(j=1; j<i; j++)
	printf(" ");
      for(j=0; j<n-i; j++)
	printf("*-");
      printf("*\n");
    }
  }
  
  return 0;
}